Feed item activity
GET
/workspaces/{workspaceId}/feeds/{feedId}/items/{itemId}/activities
Retrieve a list of activities associated with a specific feed item.
Parámetros de consulta
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
type
string
Filter by activity type
Possible values: comment, event
Cuerpo de la respuesta
results
array of object
obligatorio
Mostrar atributos secundarios
results.id
string
obligatorio
results.type
string
obligatorio
Possible values: comment
results.content
object
obligatorio
Mostrar atributos secundarios
results.content.id
string
obligatorio
results.content.author
object
obligatorio
Mostrar atributos secundarios
results.content.author.id
string
obligatorio
results.content.author.type
string
obligatorio
Possible values: user, flows
results.content.author.displayName
string
results.content.author.avatarUrl
string
results.content.replyTo
object
Mostrar atributos secundarios
results.content.replyTo.id
string
obligatorio
results.content.replyTo.type
string
obligatorio
Possible values: comment, message
results.content.body
object
obligatorio
Mostrar atributos secundarios
results.content.body.type
string
obligatorio
Possible values: text
results.content.body.text
object
obligatorio
Mostrar atributos secundarios
results.content.body.text.text
string
obligatorio
results.content.body.type
string
obligatorio
Possible values: html
results.content.body.html
object
obligatorio
Mostrar atributos secundarios
results.content.body.html.text
string
results.content.body.html.html
string
results.content.body.html.attachments
array of object
Mostrar atributos secundarios
results.content.body.html.attachments.mediaUrl
string
obligatorio
results.content.body.html.attachments.filename
string
obligatorio
results.content.body.html.attachments.inline
boolean
results.content.mentions
object
Mostrar atributos secundarios
results.content.mentions.notify
object
Notify are notification settings for mentions in comments. Every new mentioned individual will be notified the moment they are added as a mention.
If OnUpdate is true, existing mentions will be notified when a comment is changed.
If OnDelete is true, mentions will get notified when the comment gets deleted.
Mostrar atributos secundarios
results.content.mentions.notify.onUpdate
boolean
results.content.mentions.notify.onDelete
boolean
results.content.mentions.identifiers
array of object
obligatorio
Mostrar atributos secundarios
results.content.mentions.identifiers.id
string
Only agent IDs are supported at the moment.
results.createdAt
string
obligatorio
results.updatedAt
string
obligatorio
results.id
string
obligatorio
results.type
string
obligatorio
Possible values: event
results.content
object
obligatorio
Mostrar atributos secundarios
results.content.type
string
obligatorio
Possible values: agent_assigned, team_assigned, agent_unassigned, team_unassigned, archived, unarchived, closed, reopened, participant_added, participant_removed, tag_added, tag_removed, call_started, call_enqueued, call_answered, call_hold, call_unhold, call_ended, recording_started, recording_paused, recording_resumed, recording_completed, recording_available, transcription_started, transcription_available, voicemail, voicemail_dropped
results.content.author
object
Mostrar atributos secundarios
results.content.author.id
string
obligatorio
results.content.author.type
string
obligatorio
Possible values: user, flows
results.content.author.displayName
string
results.content.author.avatarUrl
string
results.content.subject
object
Mostrar atributos secundarios
results.content.subject.id
string
obligatorio
results.content.subject.name
string
obligatorio
results.content.type
string
obligatorio
Possible values: route_to_agent
results.content.context
object
obligatorio
Mostrar atributos secundarios
results.content.context.selectionMode
string
Possible values: filtered, all
results.content.context.agents
array of object
Mostrar atributos secundarios
results.content.context.agents.agentId
string
results.content.context.agents.agentName
string
results.content.context.agents.agentStatus
string
Possible values: active, away, out-of-office
results.content.context.agents.agentAvailability
string
Possible values: available, in-call, busy, wrap-up-time, do-not-disturb, offline, not-available, out-of-hours, custom
results.content.context.agents.ticketAssignmentCount
integer
results.content.context.agents.ticketLastAssignedAt
string
results.content.context.agents.isSelected
boolean
results.content.context.agents.isSkipped
boolean
results.content.context.agents.skipReason
string
Possible values: notAvailable, notSkilled
results.createdAt
string
obligatorio
results.updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/feeds/{feedId}/items/{itemId}/activities' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'